summaryrefslogtreecommitdiffstats
path: root/extra/source/bittorrent
diff options
context:
space:
mode:
Diffstat (limited to 'extra/source/bittorrent')
-rw-r--r--extra/source/bittorrent/bittorrent-xterm.sh37
-rwxr-xr-xextra/source/bittorrent/bittorrent.SlackBuild65
-rw-r--r--extra/source/bittorrent/doinst.sh10
-rw-r--r--extra/source/bittorrent/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/extra/source/bittorrent/bittorrent-xterm.sh b/extra/source/bittorrent/bittorrent-xterm.sh
new file mode 100644
index 000000000..fdf32ea1e
--- /dev/null
+++ b/extra/source/bittorrent/bittorrent-xterm.sh
@@ -0,0 +1,37 @@
+#!/bin/sh
+# Copyright 2003 Slackware Linux, Inc., Concord, CA, USA
+# Copyright 2006 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# /usr/bin/bittorrent-xterm.sh
+# A simple script used in /etc/mailcap to enable using
+# bittorrent-curses with Mozilla, etc.
+#
+# This goes in /etc/mailcap:
+#application/x-bittorrent; /usr/bin/bittorrent-xterm '%s' ;
+
+# Create a directory for downloads:
+if [ ! -d $HOME/BitTorrent ]; then
+ mkdir -p $HOME/BitTorrent
+fi
+
+# Change to the download directory and start BitTorrent there:
+cd $HOME/BitTorrent && exec /usr/X11R6/bin/xterm -e /usr/bin/bittorrent-curses "$1"
+
diff --git a/extra/source/bittorrent/bittorrent.SlackBuild b/extra/source/bittorrent/bittorrent.SlackBuild
new file mode 100755
index 000000000..5118d724d
--- /dev/null
+++ b/extra/source/bittorrent/bittorrent.SlackBuild
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Copyright 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+VERSION=${VERSION:-4.4.0}
+ARCH=noarch
+BUILD=${BUILD:-3}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=/tmp/package-bittorrent
+rm -rf $PKG
+mkdir -p $PKG $TMP
+
+cd $TMP
+rm -rf BitTorrent-$VERSION
+tar xvf $CWD/BitTorrent-$VERSION.tar.bz2 || exit 1
+cd BitTorrent-$VERSION || exit 1
+chown -R root.root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py build install --root=$PKG
+# Add bittorrent-xterm (this just opens an xterm for bittorrent-curses so
+# that it can work as a MIME handler from mailcap):
+mkdir -p $PKG/usr/bin
+zcat $CWD/bittorrent-xterm.sh.gz > $PKG/usr/bin/bittorrent-xterm
+chmod 755 $PKG/usr/bin/bittorrent-xterm
+mkdir -p $PKG/usr/doc/BitTorrent-$VERSION
+cp -a \
+ INSTALL.unix.txt LICENSE.txt PKG-INFO README.txt TRACKERLESS.txt \
+ credits-l10n.txt credits.txt public.key redirdonate.html \
+ $PKG/usr/doc/BitTorrent-$VERSION
+rm -rf $PKG/usr/share/doc $PKG/usr/share/pixmaps/BitTorrent-$VERSION/icons/old
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+# Add support for using bittorrent-curses instead of bittorrent-gui
+# in /etc/mailcap:
+zcat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/bittorrent-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/extra/source/bittorrent/doinst.sh b/extra/source/bittorrent/doinst.sh
new file mode 100644
index 000000000..3b84c3043
--- /dev/null
+++ b/extra/source/bittorrent/doinst.sh
@@ -0,0 +1,10 @@
+# Add bittorrent support to /etc/mailcap unless it's found there
+# already (commented out, or not):
+if ! grep application/x-bittorrent etc/mailcap 1> /dev/null 2> /dev/null ; then
+ echo "application/x-bittorrent; /usr/bin/bittorrent-xterm '%s' ; " >> etc/mailcap
+else
+ # If it calls btdownloadxterm.sh, make bittorrent-xterm the default instead:
+ if grep btdownloadxterm etc/mailcap 1> /dev/null 2> /dev/null ; then
+ sed -i -e 's/btdownloadxterm.sh/bittorrent-xterm/g' etc/mailcap
+ fi
+fi
diff --git a/extra/source/bittorrent/slack-desc b/extra/source/bittorrent/slack-desc
new file mode 100644
index 000000000..e5ba9aa42
--- /dev/null
+++ b/extra/source/bittorrent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+bittorrent: bittorrent (BitTorrent file distribution utility)
+bittorrent:
+bittorrent: BitTorrent is a file distribution utility which utilizes the upload
+bittorrent: capacity of machines which are downloading a file to help distribute
+bittorrent: it to other downloading machines. This makes it possible to provide
+bittorrent: large files (such as the Slackware Linux ISO images) to many people
+bittorrent: without the usual problem of insufficient bandwidth. The more
+bittorrent: downloaders, the more bandwidth. Problem solved.
+bittorrent:
+bittorrent: Bram Cohen is the genius behind BitTorrent.
+bittorrent: